## Struct template reference<Converter, TypeOut, void>

boost::cnv::reference<Converter, TypeOut, void>

## Synopsis

    // In header: <boost/convert.hpp>

    template<typename Converter, typename TypeOut>
    struct reference<Converter, TypeOut, void> {
      // types
      typedef reference this_type;

      // construct/copy/destruct
      reference(Converter const &);
      reference(Converter &&);

      // public member functions
      this_type & value_or(TypeOut const &);
      template<typename TypeIn> TypeOut operator()(TypeIn const &) const;
    };

## Description

### `reference` public construct/copy/destruct

1.     reference(Converter const & cnv);

2.     reference(Converter && cnv);

### `reference` public member functions

1.     this_type & value_or(TypeOut const & fallback);

2.     template<typename TypeIn> TypeOut operator()(TypeIn const & value_in) const;